package com.tanpu.community.service.quartz;

import lombok.extern.slf4j.Slf4j;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.ActiveProfiles;
import org.springframework.test.context.junit4.SpringRunner;

import javax.annotation.Resource;

import static org.junit.Assert.*;

@RunWith(SpringRunner.class)
@SpringBootTest
@ActiveProfiles("test")
@Slf4j
public class TopicReportServiceTest {

    @Resource
    private TopicReportService topicReportService;

    @Test
    public void reportTopicWeekday() {
        topicReportService.reportTopicWeekday();
    }

    @Test
    public void reportTopicSaturday() {
        topicReportService.reportTopicSaturday();
    }
}
